Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject
Interface User

All Known Implementing Classes:
  UserImpl

    public interface User

Method Summary
`void` | `addPropertyValue(PropertyValue propertyValue)`
`void` | `addPropertyValue(String prop, String value)`
`String` | `getDescription()`
`String` | `getDigestedPassword()`
`String` | `getEmail()`
`Set<Group>` | `getGroups()`
`Date` | `getLastAccess()`
`Date` | `getLastLogin()`
`String` | `getName()`
`String` | `getPropertyValue(String prop)`
`Collection<PropertyValue>` | `getPropertyValues()`
`Collection<String>` | `getPropertyValuesAsString(String prop)`
`String` | `getSalt()`
`void` | `removePropertyValue(PropertyValue propertyValue)`
`void` | `removePropertyValue(String prop, String value)`
`void` | `setDescription(String description)`
`void` | `setDigestedPassword(String hashedPassword, String salt)`
`void` | `setEmail(String email)`
`void` | `setLastAccess(Date time)`
`void` | `setLastLogin(Date time)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPropertyValue(String propertyName, String propertyValue)`
`void` | `setPropertyValues(Collection<PropertyValue> propertyValues)`
`boolean` | `verifyPassword(String password)`

Method Detail

### getName

    String getName()

### getGroups

    Set<Group> getGroups()

### getDescription

    String getDescription()

### getLastAccess

    Date getLastAccess()

### getLastLogin

    Date getLastLogin()

### setDescription

    void setDescription(String description)

### setName

    void setName(String name)

### setPassword

    void setPassword(String password)

### setLastAccess

    void setLastAccess(Date time)

### setLastLogin

    void setLastLogin(Date time)

### verifyPassword

    boolean verifyPassword(String password)

### setEmail

    void setEmail(String email)

### getEmail

    String getEmail()

### getSalt

    String getSalt()

### getDigestedPassword

    String getDigestedPassword()

### setDigestedPassword

    void setDigestedPassword(String hashedPassword,
                             String salt)

### getPropertyValues

    Collection<PropertyValue> getPropertyValues()

### getPropertyValuesAsString

    Collection<String> getPropertyValuesAsString(String prop)

### getPropertyValue

    String getPropertyValue(String prop)

### setPropertyValue

    void setPropertyValue(String propertyName,
                          String propertyValue)

### setPropertyValues

    void setPropertyValues(Collection<PropertyValue> propertyValues)

### addPropertyValue

    void addPropertyValue(PropertyValue propertyValue)

### addPropertyValue

    void addPropertyValue(String prop,
                          String value)

### removePropertyValue

    void removePropertyValue(PropertyValue propertyValue)

### removePropertyValue

    void removePropertyValue(String prop,
                             String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.